Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.graphics.sld
Class StyledLayerDescriptor

    java.lang.Object
      org.deegree.graphics.sld.StyledLayerDescriptor

All Implemented Interfaces:
  Marshallable

    public class StyledLayerDescriptor

extends Object
implements Marshallable

StyledLayerDescriptor: This is a sequence of styled layers, represented at the first level by Layer and UserLayer elements. A "version" attribute has been added to allow the formatting of static-file

Version:
  $Revision: 18195 $ $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Katharina Lupp, last edited by: $Author: mschneider $

Constructor Summary
`StyledLayerDescriptor(AbstractLayer[] layers, String version)` constructor initializing the class with the
`StyledLayerDescriptor(String name, String title, String version, String abstract_, AbstractLayer[] layers)`

Method Summary
`void` | `addLayer(AbstractLayer layer)` adds the
`String` | `exportAsXML()` exports the content of the Font as XML formated String
`String` | `getAbstract()`
`AbstractLayer[]` | `getLayers()`
`String` | `getName()`
`NamedLayer[]` | `getNamedLayers()` A NamedLayer uses the "name" attribute to identify a layer known to the WMS and can contain zero or more styles, either NamedStyles or UserStyles.
`String` | `getTitle()`
`UserLayer[]` | `getUserLayers()` A UserLayer can contain one or more UserStyles.
`String` | `getVersion()` The version attribute gives the SLD version of an SLD document, to facilitate backward compatibility with static documents stored in various different versions of the SLD spec.
`void` | `removeLayer(AbstractLayer layer)` removes the
`void` | `setAbstract(String abstract_)`
`void` | `setLayers(AbstractLayer[] layers)` Sets Layers
`void` | `setName(String name)`
`void` | `setTitle(String title)`
`void` | `setVersion(String version)` sets the

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StyledLayerDescriptor

    StyledLayerDescriptor(String name,
                          String title,
                          String version,
                          String abstract_,
                          AbstractLayer[] layers)

Parameters:
  `name` -
  `title` -
  `version` -
  `abstract_` -
  `layers` -

### StyledLayerDescriptor

    public StyledLayerDescriptor(AbstractLayer[] layers,
                                 String version)

  constructor initializing the class with the

  Parameters:
    `layers` -
    `version` -

Method Detail

### getLayers

    public AbstractLayer[] getLayers()

  Returns:
    the Layers as Array

### setLayers

    public void setLayers(AbstractLayer[] layers)

  Sets Layers

  Parameters:
    `layers` - the Layers as Array

### addLayer

    public void addLayer(AbstractLayer layer)

  adds the

  Parameters:
    `layer` - a Layer to add

### removeLayer

    public void removeLayer(AbstractLayer layer)

  removes the

  Parameters:
    `layer` - a Layer to remove

### getUserLayers

    public UserLayer[] getUserLayers()

  A UserLayer can contain one or more UserStyles. A UserLayer may direct the WMS to a specified WFS source of feature data. Multiple feature types can be included in a UserLayer, since this is semantically equivalent to a Layer. All feature types of a UserLayer come from the same WFS. The WFS can be named explicitly with the "wfs" attribute or it can be implied by context.

  Returns:
    the UserLayers as Array

### getNamedLayers

    public NamedLayer[] getNamedLayers()

  A NamedLayer uses the "name" attribute to identify a layer known to the WMS and can contain zero or more styles, either NamedStyles or UserStyles. In the absence of any styles the default style for the layer is used.

  Returns:
    the NamedLayers as Array

### getVersion

    public String getVersion()

  The version attribute gives the SLD version of an SLD document, to facilitate backward compatibility with static documents stored in various different versions of the SLD spec. The string has the format x.y.z, the same as in other OpenGIS Web Server specs. For example, an SLD document stored according to this spec would have the version string 0.7.2.

  Returns:
    the version of the SLD as String

### setVersion

    public void setVersion(String version)

  sets the

  Parameters:
    `version` - the version of the SLD

### getAbstract

    public String getAbstract()

  Returns:
    Returns the abstract_.

### setAbstract

    public void setAbstract(String abstract_)

  Parameters:
    `abstract_` - The abstract_ to set.

### getName

    public String getName()

  Returns:
    Returns the name.

### setName

    public void setName(String name)

  Parameters:
    `name` - The name to set.

### getTitle

    public String getTitle()

  Returns:
    Returns the title.

### setTitle

    public void setTitle(String title)

  Parameters:
    `title` - The title to set.

### exportAsXML

    public String exportAsXML()

  exports the content of the Font as XML formated String

  Specified by:
    `exportAsXML` in interface `Marshallable`
  Returns:
    xml representation of the Font

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org